Page Menu
Home
Phabricator
Search
Configure Global Search
Log In
Files
F3356404
D4054.id12974.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
1 KB
Referenced Files
None
Subscribers
None
D4054.id12974.diff
View Options
diff --git a/services/base-image/Dockerfile b/services/base-image/Dockerfile
--- a/services/base-image/Dockerfile
+++ b/services/base-image/Dockerfile
@@ -26,6 +26,9 @@
COPY docker/install_aws_sdk.sh .
RUN ./install_aws_sdk.sh
+COPY docker/install_glog.sh .
+RUN ./install_glog.sh
+
COPY docker/install_folly.sh .
RUN ./install_folly.sh
diff --git a/services/base-image/docker/install_folly.sh b/services/base-image/docker/install_folly.sh
--- a/services/base-image/docker/install_folly.sh
+++ b/services/base-image/docker/install_folly.sh
@@ -5,7 +5,6 @@
pushd /usr/lib
git clone https://github.com/facebook/folly.git --branch v2020.01.13.00 --single-branch
-git clone https://github.com/google/glog.git --branch v0.4.0 --single-branch
git clone https://github.com/google/double-conversion.git --branch v3.1.5 --single-branch
popd # /usr/lib
diff --git a/services/base-image/docker/install_glog.sh b/services/base-image/docker/install_glog.sh
new file mode 100755
--- /dev/null
+++ b/services/base-image/docker/install_glog.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -e
+
+pushd /usr/lib
+git clone https://github.com/google/glog.git --branch v0.4.0 --single-branch
+popd # /usr/lib
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sun, Nov 24, 6:46 PM (20 h, 20 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2577004
Default Alt Text
D4054.id12974.diff (1 KB)
Attached To
Mode
D4054: [services] Extract glog installation from folly installation
Attached
Detach File
Event Timeline
Log In to Comment